/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TTreeViewItem.h"
//---------------------------------------------------------------------
TTreeViewItem::TTreeViewItem(String sItemText) : TreeViewItem()
{
    // Сохраняем имя элемента
    sItemName = sItemText;
    // Отображаем узел (элемент) открытым
    setOpen(true);
}
//---------------------------------------------------------------------
TTreeViewItem::~TTreeViewItem()
{
}
//---------------------------------------------------------------------
bool TTreeViewItem::mightContainSubItems()
{
    // Может содержать дочерние элементы
    return true;
}
//---------------------------------------------------------------------
const String TTreeViewItem::getUniqueName() const
{
    return sItemName;
}
//---------------------------------------------------------------------
int TTreeViewItem::getItemWidth() const
{
    return 150;
}
//---------------------------------------------------------------------
int TTreeViewItem::getItemHeight() const
{
    return 25;
}
//---------------------------------------------------------------------
bool TTreeViewItem::canBeSelected() const
{
    // Может быть выбран пользователем
    return true;
}
//---------------------------------------------------------------------
void TTreeViewItem::paintItem(Graphics& Painter, int iWidth, int iHeight)
{
    // Если элемент выбран...
    if(isSelected())
    {
        // закрашиваем его фон синим цветом
        Painter.fillAll(Colours::blue.withAlpha(0.3f));
    }
    
    Painter.setColour(Colours::black);
    Painter.setFont(iHeight * 0.7f);

    // Рисуем текст (имя) элемента
    Painter.drawText(sItemName, 4, 0, iWidth - 4, iHeight, Justification::centredLeft, true);
}
//---------------------------------------------------------------------
void TTreeViewItem::SetNewName(String sNewName)
{
    // Сохраняем новое имя элемента
    sItemName = sNewName;
}
//---------------------------------------------------------------------

