/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
class TTreeViewItem;
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует класс слушателя кнопок.
class TCentralComponent  : public Component,
                           public ButtonListener,
                           public KeyListener
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();
    // Функция, отслеживающая щелчки по кнопке
    void buttonClicked(Button*);
    // Функция, отслеживающая нажатие кнопки мыши
    void mouseDown(const MouseEvent&);
    // Функция, отслеживающая нажатие клавиш клавиатуры
    bool keyPressed(const KeyPress&, Component*);

private:
    GroupComponent* pItemsGroup;
    TreeView* pGenreTreeView;
    TextButton* pNewItemButton;
    TextButton* pNewSubItemButton;
    TextButton* pDeleteItemButton;
    GroupComponent* pPropertiesGroup;
    Label* pTextLabel;
    TextEditor* pTextEdit;
    ToggleButton* pEditPropertiesCheckBox;
    TextButton* pApplyButton;
    
    // Добавляет новый элемент в список
    void AddNewItem();

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
