/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TTreeViewItem_h_
#define _TTreeViewItem_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Класс элемента древовидного списка
class TTreeViewItem : public TreeViewItem
{
public:
    TTreeViewItem(String sItemText = String::empty);
    ~TTreeViewItem();

    // Может содержать дочерние элементы
    bool mightContainSubItems();
    // Функция возвращает имя элемента - отображаемый текст
    String getUniqueName() const;
    // Ширина элемента
    int getItemWidth() const;
    // Высота элемента
    int getItemHeight() const;
    // Моэжет ли элемент быть выбран пользователем
    bool canBeSelected() const;
    // Функция, рисующая элемент
    void paintItem(Graphics&, int, int);
    
    // Присваивает новое имя элементу
    void SetNewName(String);
    
private:
    // Переменная для хранения имени элемента
    String sItemName;
};
//---------------------------------------------------------------------
#endif
 
